* {
  margin: 0;
  padding: 0;
}

::selection {
  background-color: #198754;
  color: #fff;
}

body::-webkit-scrollbar {
  width: 8px;
}

body::-webkit-scrollbar-track {
  background-color: transparent;
  border-radius: 10px;
}

body::-webkit-scrollbar-thumb {
  background-color: #198754;
  border-radius: 10px;
}

body {
  font-family: 'Droid Arabic Kufi', sans-serif;
}

a {
  color: inherit;
  text-decoration: none;
}

a:hover {
  color: rgb(230, 62, 62) !important;
  transition: all 0.5s;
}

/** preloader */
#preloader {
  position: fixed;
  inset: 0;
  z-index: 9999;
  overflow: hidden;
  background-color: #fff;
  transition: all 0.6s ease-out;
  width: 100%;
  height: 100vh;
}

#preloader:before,
#preloader:after {
  content: "";
  position: absolute;
  border: 4px solid #198754;
  border-radius: 50%;
  animation: animate-preloader 2s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

#preloader:after {
  animation-delay: -0.5s;
}

@keyframes animate-preloader {
  0% {
    width: 10px;
    height: 10px;
    top: calc(50% - 5px);
    left: calc(50% - 5px);
    opacity: 1;
  }

  100% {
    width: 72px;
    height: 72px;
    top: calc(50% - 36px);
    left: calc(50% - 36px);
    opacity: 0;
  }
}


#totop, #to-top {
  display: none;
  position: fixed;
  bottom: 10px;
  right: 20px;
  width: 40px;
  height: 40px;
  z-index: 210;
  border: none;
  outline: none;
  background-color: #198754;
  cursor: pointer;
  border-radius: 40px;
  -moz-transition: all 250ms linear;
  -webkit-transition: all 250ms linear;
  -o-transition: all 250ms linear;
}

#totop i, #to-top i {
  line-height: 40px;
  font-size: 17px;
  color: #fff;
}

#totop:hover, #to-top:hover {
  background-color: rgb(230, 62, 62);
  transition: all 0.5s;
}

#rasha {
  padding-bottom: 1em;
}

button:not(:disabled), [type=button]:not(:disabled), [type=reset]:not(:disabled), [type=submit]:not(:disabled) {
  color: #fff;
}

#r {
  padding-bottom: 1em;
}

#ra {
  padding-bottom: 1em;
}

#ras {
  padding-bottom: 1em;
}

#rash {
  padding-bottom: 1em;
}

#text-ras {
  margin-top: -2em;
}

.btn-fullpquran {
  display: none;
}

footer .btn-group a:hover {
  color: #fff !important;
}

/*dark-mode*/
.dark-theme .quran-ari {
  background-color: #282C34 !important;
  color: #ABB2BF;
}

.dark-theme .quran-ari img {
  filter: invert(100%);
}

.dark-theme .text-success {
  color: #ABB2BF !important;
}

.dark-theme .text-one {
  color: #ABB2BF !important;
}

.dark-theme a:hover {
  color: rgb(230, 62, 62) !important;
  transition: all 0.5s;
}

.dark-theme .table> :not(caption)>*>* {
  color: #ABB2BF !important;
  border-color: #ABB2BF !important;
}

.dark-theme .border {
  border-color: #ABB2BF !important;
}

.dark-theme footer .btn-group .btn-outline-success {
  color: #ABB2BF;
  border-color: #ABB2BF;
}

.dark-theme footer .btn-group .btn-outline-success:hover, .dark-theme footer .btn-group .btn-success {
  color: #282C34 !important;
  background: #ABB2BF;
  border-color: #ABB2BF;
}

.btn-group .btn-outline-success:hover, .btn-group .btn-success, .btn-group .btn-success:hover {
  color: #198754 !important;
  background: #ffffff;
  border-color: #c9cdd0;
}

.btn-group .btn-outline-success {
  color: #198754 !important;
  background: #f8f9fa;
  border-color: #c9cdd0;
}

.text-quran {
  color: #28241e;
}

.dark-theme .text-quran {
  color: #e1e1ff;
}

.dark-theme footer .btn-group .btn-outline-success {
  color: #ABB2BF !important;
  background: #282C34;
  border-color: #ABB2BF;
}

/*dark-mode*/

.full-page header {
  display: none;
}

.full-page .btn-fullpquran {
  display: block;
}

.full-page footer {
  display: none;
}

.full-page .card-header {
  display: none;
}

.full-page .card-footer {
  display: none;
}

@media (min-width: 100px) {
  .btn-group>.btn:not(:first-child), .btn-group>.btn-group:not(:first-child) {
    margin-top: -1px;
    margin-left: 0;
  }

  .btn-group>.btn:not(:last-child):not(.dropdown-toggle), .btn-group>.btn.dropdown-toggle-split:first-child, .btn-group>.btn-group:not(:last-child)>.btn {
    margin-top: -1px;
    margin-left: 0;
  }

  .st {
    border-radius: 0;
    margin-left: 0;
    border-top-left-radius: 3px !important;
    border-top-right-radius: 3px !important;
  }

  .end {
    border-radius: 0;
    margin-left: 0;
    border-bottom-left-radius: 3px !important;
    border-bottom-right-radius: 3px !important;
  }
}

@media (min-width: 768px) {
  .btn-group>.btn:not(:first-child), .btn-group>.btn-group:not(:first-child) {
    margin-top: unset;
    margin-left: -1px;
  }

  .btn-group>.btn:not(:last-child):not(.dropdown-toggle), .btn-group>.btn.dropdown-toggle-split:first-child, .btn-group>.btn-group:not(:last-child)>.btn {
    margin-top: unset;
    margin-left: -1px;
  }

  .st {
    border-radius: 0;
    border-top-left-radius: 0px !important;
    border-top-right-radius: 3px !important;
    border-bottom-right-radius: 3px !important;
  }

  .end {
    border-radius: 0;
    border-top-left-radius: 3px !important;
    border-bottom-left-radius: 3px !important;
    border-bottom-right-radius: 0px !important;
  }
}


/*athkar styles*/

.box_counter {
  width: 100%;
  height: 99%;
  font-family: 'DS-Digital', sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 4rem;
  cursor: pointer;
  padding: 1rem;
  border-radius: 6px;
  background-color: var(--bs-success);
  transition: 0.5s;
}

.box_counter:hover {
  background-color: rgb(230, 62, 62);
}

.amount, .counter {
  color: #fff;
  font-size: 3rem;
  text-align: center;
  font-weight: bold;
  line-height: normal;
  margin: 0;
  padding: 0;
}

.amount {
  margin-top: -1rem;
}

.counter_end {
  background-color: rgb(230, 62, 62);
  color: #808080;
}

.thker_paragraph {
  border-radius: 10px;
  padding-block: 1rem;
}